import { ErrorResponse } from 'packages/commons/service/error-response';

import { Member } from '../../model';

export interface State {
  error: ErrorResponse | null;
  pending: boolean;
  member: Member | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  member: null,
};
