import { MetaProbeStatus } from 'packages/meta/model';
import { Domain } from 'packages/domain/model';
import { Member } from 'packages/member/model';
import { Target } from 'packages/target/model';
import { InfraHost } from 'packages/infra/model';

export interface Probe {
  id?: number;
  status?: MetaProbeStatus; // INITIAL / NORMAL
  description?: string;
  createDate?: Date;
  domain?: Domain;
  probeKey?: string;
  encryptionKey?: string;
  displayName?: string;
  cidr?: string;
  authorizeDate?: Date;
  authorizeMember?: Member;
  host?: InfraHost;
  targets?: Target[];
}
