import * as ProbeListStore from './list';
import * as ProbeDetailStore from './detail';

export interface State {
  list: ProbeListStore.State;
  detail: ProbeDetailStore.State;
}

export const REDUCERS = {
  list: ProbeListStore.reducer,
  detail: ProbeDetailStore.reducer,
};

export const EFFECTS = [
  ProbeListStore.Effects,
  ProbeDetailStore.Effects,
];
