import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RESTService } from 'packages/commons/service/rest.service';

import { DiscoveryStartInfo } from '../model';

@Injectable()
export class DiscoveryService {

  public constructor(
    private restService: RESTService,
  ) {

  }

  public start(dsInfo: DiscoveryStartInfo): Observable<DiscoveryStartInfo> {
    // const body = {
    //   signinId: email,
    //   signinPw: password,
    // };

    return this.restService.post('/discovery/start', dsInfo);
  }

//   public signup(member: DiscoveryStartInfo): Observable<DiscoveryStartInfo> {
//     return this.restService.post('/account/signup', member);
//   }
}
