import { ErrorResponse } from 'packages/commons/service/error-response';
import { Domain } from 'packages/domain/model';
import { Member } from '../../model';

export interface State {
  signined: boolean;
  error: ErrorResponse | null;
  pending: boolean;
  member: Member | null;
  domain: Domain | null;
}

export const initialState: State = {
  signined: false,
  error: null,
  pending: false,
  member: null,
  domain: null,
};
